classification
Title: Skip tests in test_socket like testFDPassSeparate on OS X
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jramnani, loewis, neologix, pitrou, python-dev, sbt
Priority: normal Keywords: patch

Created on 2013-04-10 03:10 by jramnani, last changed 2013-08-04 14:00 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
skip-fd-socket-tests-osx.patch jramnani, 2013-04-10 03:10 Skip tests like testFDPassSeparate on OS X. review
Messages (10)
msg186474 - (view) Author: Jeff Ramnani (jramnani) * Date: 2013-04-10 03:10
The changeset for subtests in #16997 cause some tests in test_socket to fail on OS X.
Specifically, they cause some tests that were marked as expected failures to be run and be marked as failures.

I'm experiencing the same test failures as the OS X Mountain Lion buildbot.  `Here's an example build failure (Build 1058). http://buildbot.python.org/all/builders/AMD64%20Mountain%20Lion%20%5BSB%5D%203.x/builds/1058`_

Per issue #12958 I believe these tests should be skipped on OS X.

I'm attaching a patch which skips the offending tests on OS X.
msg186476 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2013-04-10 05:32
I'm making Antoine nosy since he's the author of the "faulty" changeset.

Richard, IIRC, you said somewhere that FD passing failures on OS X could be made to work by passing a FD at a time, or something like that. What do you think of those faiilures?
msg186484 - (view) Author: Richard Oudkerk (sbt) * (Python committer) Date: 2013-04-10 09:56
On 10/04/2013 6:32am, Charles-François Natali wrote:
> Richard, IIRC, you said somewhere that FD passing failures on OS X
> could be made to work by passing a FD at a time, or something like
> that. What do you think of those faiilures?

I think sending one *array* at a time works as well.  These two failures 
send two arrays, so they are expected.

(Also, the sending process should wait for some sort of notification 
that the receiving process has received the fds before continuing: 
closing the socket prematurely causes problems.)
msg186485 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-10 10:07
Indeed, it has been decided that @expectedFailure would only work when applied to the test methods run by unittest. In that light, the patch is a correct solution to the issue.

(I don't think expected failures are a very useful concept myself :-))
msg189678 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-20 17:14
New changeset 9cfaefa58bdc by Charles-Francois Natali in branch 'default':
Issue #17684: Fix some test_socket failures due to limited FD passing support
http://hg.python.org/cpython/rev/9cfaefa58bdc
msg189681 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2013-05-20 17:38
Committed, thanks!
msg194344 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-08-04 11:09
Charles-Francois: why did you commit this to default only, and not to 3.3?
(see also issue18651)
msg194371 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-08-04 13:40
New changeset b7d764807343 by Charles-Francois Natali in branch '3.3':
Issue #17684: Fix some test_socket failures due to limited FD passing support
http://hg.python.org/cpython/rev/b7d764807343
msg194372 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2013-08-04 13:42
> Charles-Francois: why did you commit this to default only, and not
> to 3.3?

I overlooked it (apparently, the issue was tagged 3.4 only, and I didn't double-check that the code was present in 3.3 as well).

Should be better now!
msg194378 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-08-04 14:00
Thanks!
History
Date User Action Args
2013-08-04 14:00:14loewissetmessages: + msg194378
2013-08-04 13:42:35neologixsetmessages: + msg194372
versions: + Python 3.3
2013-08-04 13:40:02python-devsetmessages: + msg194371
2013-08-04 11:09:38loewissetnosy: + loewis
messages: + msg194344
2013-05-20 17:39:00neologixsetstatus: open -> closed
2013-05-20 17:38:23neologixsetresolution: fixed
messages: + msg189681
stage: resolved
2013-05-20 17:14:05python-devsetnosy: + python-dev
messages: + msg189678
2013-04-10 10:07:48pitrousetmessages: + msg186485
2013-04-10 09:56:17sbtsetmessages: + msg186484
2013-04-10 05:32:11neologixsetnosy: + neologix, pitrou, sbt
messages: + msg186476
2013-04-10 03:10:29jramnanicreate